Subject: [Gendispatch] Fwd: New Version Notification for draft-nottingham-discussion-recharter-00.txt

From: Mark Nottingham <[email-masked]>
Date: Mon, 17 Aug 2020 11:06:38 +1000

Hi,

I'd like this draft to be dispatched.

Cheers,

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-nottingham-discussion-recharter-00.txt
> Date: 17 August 2020 at 11:00:00 am AEST
> To: "Mark Nottingham" <[email-masked]>
> 
> 
> A new version of I-D, draft-nottingham-discussion-recharter-00.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Name:		draft-nottingham-discussion-recharter
> Revision:	00
> Title:		Rechartering the IETF Discussion List
> Document date:	2020-08-17
> Group:		Individual Submission
> Pages:		7
> URL:            https://www.ietf.org/internet-drafts/draft-nottingham-discussion-recharter-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-nottingham-discussion-recharter/
> Htmlized:       https://tools.ietf.org/html/draft-nottingham-discussion-recharter-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-nottingham-discussion-recharter
> 
> 
> Abstract:
>   This document updates RFC3005, the charter of the IETF discussion
>   list.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 16 Aug 2020 21:30:13 -0400

Do you intend this to be coupled with a re-chartering of gendispatch to 
enable it to be a venue for disucssing the substance of proposals?  The 
current charter prohibits that.  As such, it seems to me that without 
such a change, if the proposal you are bringing forward in this document 
is adopted, there would be no place in the IETF to discuss the substance 
of proposals of procedural / administrative / or widely cross area interest.

Conversely, if such a change were made to the charter, and if your 
proposal were adopted, why do you think that the gendispatch list would 
not promptly suffer from the same problems that the IEtF list has, in 
most of the dimensions you cite?

Yours,
Joel

On 8/16/2020 9:06 PM, Mark Nottingham wrote:
>> *From: [email-masked] <mailto:[email-masked]>
>> *Subject: **New Version Notification for 
>> draft-nottingham-discussion-recharter-00.txt*
>> *Date: *17 August 2020 at 11:00:00 am AEST
>> *To: *"Mark Nottingham" <[email-masked] <mailto:[email-masked]>>
>>
>>
>> Name:draft-nottingham-discussion-recharter
>> Revision:00
>> Title:Rechartering the IETF Discussion List
>> Document date:2020-08-17
>> Group:Individual Submission
>> Pages:7
>> URL: 
>> https://www.ietf.org/internet-drafts/draft-nottingham-discussion-recharter-00.txt
>> Status: 
>> https://datatracker.ietf.org/doc/draft-nottingham-discussion-recharter/
>> Htmlized: 
>> https://tools.ietf.org/html/draft-nottingham-discussion-recharter-00
>> Htmlized: 
>> https://datatracker.ietf.org/doc/html/draft-nottingham-discussion-recharter
>>
>>
>> Abstract:
>> until the htmlized version and diff are available at tools.ietf.org 
>> <http://tools.ietf.org>.
>>
>> The IETF Secretariat
>>
>>
> 
> --

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 17 Aug 2020 12:20:16 +1000

Hi Joel,

> On 17 Aug 2020, at 11:30 am, Joel M. Halpern <[email-masked]> wrote:
> 
> Do you intend this to be coupled with a re-chartering of gendispatch to enable it to be a venue for disucssing the substance of proposals?  The current charter prohibits that.  As such, it seems to me that without such a change, if the proposal you are bringing forward in this document is adopted, there would be no place in the IETF to discuss the substance of proposals of procedural / administrative / or widely cross area interest.

Good question, but a minor nit. The GENDISPATCH charter doesn't prohibit discussion of proposals; indeed, it explicitly allows '[e]nsuring there has been adequate mailing list discussion reflecting sufficient interest.'

However, the charter does imply that GENDISPATCH will not publish any documents, so discussion after a proposal has been DISPATCHed might well be considered out of scope. If that's what you mean by 'discussing the substance of proposals', I agree that a change would be necessary -- if we wanted to use GENDISPATCH to publish documents.

That might or might not be necessary; creating new mailing lists for documents (with an attached Working Group, or not if AD-sponsored) is an effective way to keep the volume and tone of conversation manageable. It might become desirable to re-charter GENDISPATCH to allow it to publish uncontentious, 'small' documents, but that's a decision that doesn't have to be coupled to this proposal.

Additionally, I'd reinforce that this proposal does _not_ close the IETF discussion list; people could continue to use it for discussing whatever they currently do. However, if they want those discussions to have impact on IETF policy or technology, they'll need to eventually take them elsewhere.

> Conversely, if such a change were made to the charter, and if your proposal were adopted, why do you think that the gendispatch list would not promptly suffer from the same problems that the IEtF list has, in most of the dimensions you cite?

I think that it would be different, for a few reasons.

First, IETF Working Groups (and WG-like structures) can and do impose stricter controls over participation than on the IETF discussion list (RFC2418, RFC3934). As compared with RFC3005, these rules give the Chair the authority to 'refuse to grant the floor to any individual who is unprepared or otherwise covering inappropriate material, or who, in the opinion of the Chair, is disrupting the WG process.'

They're also more tightly focused; part of the problem with the IETF discussion list is that it's extremely wide-ranging, so that participants have to weather a number of different discussions to stay up-to-date. GENDISPATCH can fork work streams off to new groups or new mailing lists.

WG mailing lists are also biased towards closure; they're chartered to do something, and so the charter can be used to measure whether discussion is on-topic.

Beyond that, though, I'd suggest there's a considerable difference in how people think about the discussion list as compared to WG lists. Having a normal Chair making a call about the disposition of a proposal -- along with the normal appeal processes -- gives participants more effective guidance about where to focus discussion, and makes it easier to be productive. For whatever reason, people seem more willing to work with a Chair than they are to have discipline meted out by the SAA and IESG.

For example, the WG-like rfced-future program is discussing one of the more contentious topics in recent memory, and yet the participants have managed to remain civil, and early results show that it's reasonably productive (despite the limitations imposed by the pandemic). Now, consider if the IETF discussion list remained the venue for that topic. 

That's not to say that a discussion of the matter at hand on GENDISPATCH or anther WG mailing list wouldn't be contentious, or that some people wouldn't be able to express their opinions (a chair that was too heavy-handed would be quickly appealed). But, it would have a better chance of concluding instead of endlessly circling, and properly managed, it would remove the need for people who are interested in other matters to be exposed to such a high-volume and often acrimonious list.

Cheers,

>>> *Subject: **New Version Notification for draft-nottingham-discussion-recharter-00.txt*
>>> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org>.
>>> 
>>> The IETF Secretariat
>>> 
>>> 
>> --

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 16 Aug 2020 22:27:30 -0400

Thank you for the clarifications.  The idea seems to me worth thinking 
about.

Yours,
Joel

---

From: Keith Moore <[email-masked]>
Date: Sun, 16 Aug 2020 22:36:21 -0400

Some comments on initial reading of this draft:

1. I agree that the IETF list is not representative, though I disagree 
that it's unproductive.   IMO the recent discussion labeled as "not 
helpful" was actually quite illustrative of the problems with the 
proposal, though some people may have been reluctant to consider 
feedback that didn't fit their agendas.

I think section 1.2 of the I-D illustrates other problems, e.g. that the 
SAAs should not take direction from the IETF chair and should instead be 
subject to independent oversight.   It may also illustrate that the SAAs 
need a wider range of tools to apply (like automatic redirecting to 
another public list, see below) than warning and censorship.

2. We make decisions by (rough) consensus rather than by voting. As such 
the IETF list doesn't have to be representative of the community to be 
useful; if leadership is made aware of coherent objections via the 
[email-masked] list, such objections are indicators of a lack of 
community consensus and need to be taken seriously.

Just as the [email-masked] list is not representative, neither is any 
other IETF mailing lists even representative of its community or subject 
area.   The Last Calls and [email-masked] list serve as a useful (though 
imperfect) backstop against narrowly-focused WGs causing problems for 
interests outside of those WGs' subject areas.

3. IMO, IETF lists in general could use some re-organizing and more 
thought given to how to make discussions over email effective, given 
present day email user agents, webmail, mobile devices, etc.

IMO the [email-masked] list should serve as a "center" of sorts for IETF 
- to discuss topics of general interest to the IETF and the Internet 
itself.   It should still serve as a place to bring up concerns about 
how the IETF is run and to offer suggestions for improvement. But the 
volume needs to be kept low enough to not discourage participants who 
just want to keep a finger on the pulse of IETF, so to speak.

So whenever a discussion reaches a certain amount of traffic and/or 
starts to become heated, it might make sense to redirect some 
discussions to a pre-existing (yet also public) side list that probably 
not everyone would want to subscribe to.   The way I imagine this might 
happen is that the SAAs could arrange for any message with a particular 
subject pattern to be automatically redirected to the side list, and a 
(single) announcement sent to [email-masked] saying "this discussion has 
been redirected to the [email-masked] list" along with pointers in that 
message to the subscribe instructions and the archive for that list. Any 
messages with that subject already posted to the [email-masked] list 
should also be forwarded to the side list so they can all be archived in 
one place. The side list wouldn't create much of a new barrier to 
participation because people would only need to subscribe to it once.

Another slightly different way to look at this would be to have two 
lists (say ietf-full and ietf-lite) with the -lite traffic being a 
moderated subset of the -full traffic.   Again, it might be useful if 
the readers of -lite were informed about new discussions on the -full 
list, say in a weekly message with a link to each discussion, so that 
readers of the -lite list could be aware of such discussions.

I also think that a separate list (say [email-masked]) 
should be created for each Last Call, and all traffic that's a reply to 
the Last Call announcement should automatically be redirected there, 
again so that all of the traffic ends up in the same place and only the 
people interested in that particular discussion need subscribe (or read 
it via an archive).

Clearly we can't have a single list for all ietf-related topics, so I'm 
interested in seeing if there's a better way to fragment discussion that 
doesn't present as many barriers to cross-group and cross-area 
participation as mailman subscriptions do.

I am opposed to most of the specific proposals in 
draft-nottingham-discussion-recharter but agree that it's worth 
considering some changes to how some IETF lists are operated.  I hope we 
can have a productive discussion about what kinds of changes might be 
helpful, without prematurely getting too polarized about what those 
changes should be.

(As Joel Halpern pointed out, as currently chartered, gendispatch is not 
the place to have that discussion.)

Keith